| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Attributes | List of all members
Tp::BaseCallback Class Reference
Utililty classes

Base class for all the callback classes. More...

`#include <TelepathyQt/Callbacks>`

Inherited by Tp::Callback1< DebugMessageList, DBusError * >, Tp::Callback1< Tp::ConnectionAliasFlags, DBusError * >, Tp::Callback1< void, DBusError * >, Tp::Callback1< void, QString >, Tp::Callback2< BaseChannelPtr, const QVariantMap &, DBusError * >, Tp::Callback2< BaseConnectionPtr, const QVariantMap &, DBusError * >, Tp::Callback2< bool, const QVariantMap &, DBusError * >, Tp::Callback2< QDBusObjectPath, const QVariantMap &, DBusError * >, Tp::Callback2< QString, const QString &, DBusError * >, Tp::Callback2< QString, const QVariantMap &, DBusError * >, Tp::Callback2< QStringList, const Tp::UIntList &, DBusError * >, Tp::Callback2< QStringList, uint, DBusError * >, Tp::Callback2< Tp::AliasMap, const Tp::UIntList &, DBusError * >, Tp::Callback2< Tp::AvatarTokenMap, const Tp::UIntList &, DBusError * >, Tp::Callback2< Tp::ContactCapabilitiesMap, const Tp::UIntList &, DBusError * >, Tp::Callback2< Tp::ContactClientTypes, const Tp::UIntList &, DBusError * >, Tp::Callback2< Tp::ContactInfoFieldList, uint, DBusError * >, Tp::Callback2< Tp::ContactInfoMap, const Tp::UIntList &, DBusError * >, Tp::Callback2< void, const QByteArray &, DBusError * >, Tp::Callback2< void, const QDBusObjectPath &, DBusError * >, Tp::Callback2< void, const QString &, DBusError * >, Tp::Callback2< void, const QVariantMap &, DBusError * >, Tp::Callback2< void, const Tp::AliasMap &, DBusError * >, Tp::Callback2< void, const Tp::CaptchaAnswers &, DBusError * >, Tp::Callback2< void, const Tp::ContactInfoFieldList &, DBusError * >, Tp::Callback2< void, const Tp::HandlerCapabilitiesList &, DBusError * >, Tp::Callback2< void, const Tp::LocalMuteState &, DBusError * >, Tp::Callback2< void, const Tp::MessagePartList &, DBusError * >, Tp::Callback2< void, const Tp::UIntList &, DBusError * >, Tp::Callback2< void, uchar, DBusError * >, Tp::Callback2< void, uint, DBusError * >, Tp::Callback3< QByteArray, uint, const QString &, DBusError * >, Tp::Callback3< QString, const QByteArray &, const QString &, DBusError * >, Tp::Callback3< QString, const QString &, const QString &, DBusError * >, Tp::Callback3< QString, const Tp::MessagePartList &, uint, DBusError * >, Tp::Callback3< QStringList, uint, const Tp::UIntList &, DBusError * >, Tp::Callback3< Tp::ContactAttributesMap, const QStringList &, bool, DBusError * >, Tp::Callback3< Tp::ContactAttributesMap, const Tp::UIntList &, const QStringList &, DBusError * >, Tp::Callback3< Tp::UIntList, uint, const QStringList &, DBusError * >, Tp::Callback3< uint, const QString &, const QString &, DBusError * >, Tp::Callback3< void, const QString &, const QByteArray &, DBusError * >, Tp::Callback3< void, const Tp::LocalHoldState &, const Tp::LocalHoldStateReason &, DBusError * >, Tp::Callback3< void, const Tp::UIntList &, const QString &, DBusError * >, Tp::Callback3< void, uint, const QString &, DBusError * >, Tp::Callback4< QDBusObjectPath, const QString &, const Tp::MediaStreamType &, const Tp::MediaStreamDirection &, DBusError * >, Tp::Callback4< void, const Tp::UIntList &, const QString &, uint, DBusError * >, Tp::Callback4< void, Tp::CaptchaInfoList &, uint &, QString &, DBusError * >, Tp::Callback4< void, uint, const QString &, const QString &, DBusError * >, Tp::Callback5< void, const QStringList &, const QStringList &, Tp::AddressingNormalizationMap &, Tp::ContactAttributesMap &, DBusError *>, Tp::Callback6< void, const QString &, const QStringList &, const QStringList &, Tp::AddressingNormalizationMap &, Tp::ContactAttributesMap &, DBusError *>, Tp::Callback0< R >, Tp::Callback1< R, Arg1 >, Tp::Callback2< R, Arg1, Arg2 >, Tp::Callback3< R, Arg1, Arg2, Arg3 >, Tp::Callback4< R, Arg1, Arg2, Arg3, Arg4 >, Tp::Callback5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >, Tp::Callback6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >, and Tp::Callback7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >.

## Public Member Functions

| BaseCallback ()
| BaseCallback (AbstractFunctorCaller *caller)
| BaseCallback (const BaseCallback &other)
virtual | ~BaseCallback ()
bool | isValid () const
BaseCallback & | operator= (const BaseCallback &other)

## Protected Attributes

AbstractFunctorCaller * | caller

## Detailed Description

Base class for all the callback classes.

See Callbacks Usage

## Constructor & Destructor Documentation

## § BaseCallback() [1/3]

Tp::BaseCallback::BaseCallback | ( |  | ) |

inline

## § BaseCallback() [2/3]

Tp::BaseCallback::BaseCallback | ( | AbstractFunctorCaller * | caller | ) |

inline

## § BaseCallback() [3/3]

Tp::BaseCallback::BaseCallback | ( | const BaseCallback & | other | ) |

inline

## § ~BaseCallback()

virtual Tp::BaseCallback::~BaseCallback | ( |  | ) |

inline virtual

## Member Function Documentation

## § isValid()

bool Tp::BaseCallback::isValid | ( |  | ) | const

inline

Return whether this callback object has a valid functor assigned to it or if it's a default-constructed dummy callback object.

Returns
  `false` if this is a default-constructed callback or `true` if this callback was constructed from a functor.

## § operator=()

BaseCallback& Tp::BaseCallback::operator= | ( | const BaseCallback & | other | ) |

inline

## Member Data Documentation

## § caller

AbstractFunctorCaller* Tp::BaseCallback::caller

protected